Bug 861285 - Print AC_MSG_ERROR messages in config.log too. r=ted
authorMike Hommey <mh+mozilla@glandium.org>
Thu, 15 Aug 2013 23:45:07 +0900
changeset 142775 afb4c2e449b447ef879034b8d59ab79a39a8ab0b
parent 142774 0e91dc91caf177531722ee33ef74da6ad1d664d2
child 142776 bcfa70489d5ca343cb16141821d1a86e6b79111a
push id1
push userroot
push dateMon, 20 Oct 2014 17:29:22 +0000
reviewersted
bugs861285
milestone26.0a1
Bug 861285 - Print AC_MSG_ERROR messages in config.log too. r=ted
build/autoconf/hooks.m4
js/src/build/autoconf/hooks.m4
--- a/build/autoconf/hooks.m4
+++ b/build/autoconf/hooks.m4
@@ -19,8 +19,12 @@ MOZ_CONFIG_LOG_TRAP
 
 dnl Disable the trap when running sub-configures.
 define([_MOZ_AC_OUTPUT_SUBDIRS], defn([AC_OUTPUT_SUBDIRS]))
 define([AC_OUTPUT_SUBDIRS],
 [trap '' EXIT
 _MOZ_AC_OUTPUT_SUBDIRS($1)
 MOZ_CONFIG_LOG_TRAP
 ])
+
+dnl Print error messages in config.log as well as stderr
+define([AC_MSG_ERROR],
+[{ echo "configure: error: $1" 1>&2; echo "configure: error: $1" 1>&5; exit 1; }])
--- a/js/src/build/autoconf/hooks.m4
+++ b/js/src/build/autoconf/hooks.m4
@@ -19,8 +19,12 @@ MOZ_CONFIG_LOG_TRAP
 
 dnl Disable the trap when running sub-configures.
 define([_MOZ_AC_OUTPUT_SUBDIRS], defn([AC_OUTPUT_SUBDIRS]))
 define([AC_OUTPUT_SUBDIRS],
 [trap '' EXIT
 _MOZ_AC_OUTPUT_SUBDIRS($1)
 MOZ_CONFIG_LOG_TRAP
 ])
+
+dnl Print error messages in config.log as well as stderr
+define([AC_MSG_ERROR],
+[{ echo "configure: error: $1" 1>&2; echo "configure: error: $1" 1>&5; exit 1; }])